Межсайтовый скриптинг в WikkaWiki

Дата публикации:
20.12.2005
Дата изменения:
24.03.2009
Всего просмотров:
1889
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
WikkaWiki 1.x
Уязвимые версии: WikkaWiki 1.1.6.0

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует при обработке входных данных в параметре "phrase" в модуле поиска. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный HTML код в браузере жертвы в контексте безопасности уязвимого сайта. Пример:

/TextSearch?phrase=%22%3E%3Cscript%3Ealert
%28%27r0t%27%29%3C%2Fscript%3E

URL производителя: wikka.jsnx.com

Решение: Установите последнюю версию с сайта производителя.

Источник:

Журнал изменений:
24.03.2009
Изменена секция "Решение"

Ссылки: WikkaWiki XSS vuln.

или введите имя

CAPTCHA